<?php
/**
 * @file
 * cms_wysiwyg.features.filter.inc
 */

/**
 * Implements hook_filter_default_formats().
 */
function cms_wysiwyg_filter_default_formats() {
  $formats = array();

  // Exported format: WYSIWYG Full.
  $formats['wysiwyg_full'] = array(
    'format' => 'wysiwyg_full',
    'name' => 'WYSIWYG Full',
    'cache' => 1,
    'status' => 1,
    'weight' => -9,
    'filters' => array(
      'wysiwyg' => array(
        'weight' => -50,
        'status' => 1,
        'settings' => array(
          'valid_elements' => 'a[href|target<_blank|title|name],
img[src|width|height|class|alt],
td[width|rowspan|style|bgcolor],
tr[width|style|bgcolor],
th[width|rowspan|style],
table[width|style|cellspacing],
span[class],
a, em, strong, cite, code, ul, ol, li, dl, dt, dd, h2, h3, h4, h5, h6, p, br, del, blockquote, cite, table, th, td, tbody, caption, colgroup, col, thead, tfoot, b, pre, code, br, hr',
          'allow_comments' => 0,
          'nofollow_policy' => 'disabled',
          'nofollow_domains' => array(),
          'style_color' => array(
            'background-color' => 'background-color',
            'color' => 0,
            'background' => 0,
            'background-image' => 0,
            'background-repeat' => 0,
            'background-attachment' => 0,
            'background-position' => 0,
          ),
          'style_font' => array(
            'font' => 0,
            'font-family' => 0,
            'font-size' => 0,
            'font-size-adjust' => 0,
            'font-stretch' => 0,
            'font-style' => 0,
            'font-variant' => 0,
            'font-weight' => 0,
          ),
          'style_text' => array(
            'text-align' => 0,
            'text-decoration' => 0,
            'text-indent' => 0,
            'text-transform' => 0,
            'letter-spacing' => 0,
            'word-spacing' => 0,
            'white-space' => 0,
            'direction' => 0,
            'unicode-bidi' => 0,
          ),
          'style_box' => array(
            'margin' => 0,
            'margin-top' => 0,
            'margin-right' => 0,
            'margin-bottom' => 0,
            'margin-left' => 0,
            'padding' => 0,
            'padding-top' => 0,
            'padding-right' => 0,
            'padding-bottom' => 0,
            'padding-left' => 0,
          ),
          'style_border-1' => array(
            'border' => 0,
            'border-top' => 0,
            'border-right' => 0,
            'border-bottom' => 0,
            'border-left' => 0,
            'border-width' => 0,
            'border-top-width' => 0,
            'border-right-width' => 0,
            'border-bottom-width' => 0,
            'border-left-width' => 0,
          ),
          'style_border-2' => array(
            'border-color' => 0,
            'border-top-color' => 0,
            'border-right-color' => 0,
            'border-bottom-color' => 0,
            'border-left-color' => 0,
            'border-style' => 0,
            'border-top-style' => 0,
            'border-right-style' => 0,
            'border-bottom-style' => 0,
            'border-left-style' => 0,
          ),
          'style_dimension' => array(
            'height' => 'height',
            'width' => 'width',
            'line-height' => 0,
            'max-height' => 0,
            'max-width' => 0,
            'min-height' => 0,
            'min-width' => 0,
          ),
          'style_positioning' => array(
            'bottom' => 0,
            'clip' => 0,
            'left' => 0,
            'overflow' => 0,
            'right' => 0,
            'top' => 0,
            'vertical-align' => 0,
            'z-index' => 0,
          ),
          'style_layout' => array(
            'float' => 'float',
            'clear' => 0,
            'display' => 0,
            'position' => 0,
            'visibility' => 0,
          ),
          'style_list' => array(
            'list-style' => 0,
            'list-style-image' => 0,
            'list-style-position' => 0,
            'list-style-type' => 0,
          ),
          'style_table' => array(
            'border-collapse' => 0,
            'border-spacing' => 0,
            'caption-side' => 0,
            'empty-cells' => 0,
            'table-layout' => 0,
          ),
          'style_user' => array(
            'cursor' => 0,
            'outline' => 0,
            'outline-width' => 0,
            'outline-style' => 0,
            'outline-color' => 0,
            'zoom' => 0,
          ),
          'rule_valid_classes' => array(
            0 => 'left',
            2 => 'right',
            4 => 'float-left',
            6 => 'float-right',
            8 => 'float-none',
            10 => 'pull-left',
            12 => 'pull-right',
            14 => 'center-block',
            16 => 'clearfix',
            18 => 'clear-left',
            20 => 'clear-right',
            22 => 'clear-both',
            24 => 'odd',
            26 => 'even',
            28 => 'file',
            30 => 'media-element',
            32 => 'file-default',
            34 => 'col-md-1',
            36 => 'col-md-2',
            38 => 'col-md-3',
            40 => 'col-md-4',
            42 => 'col-md-5',
            44 => 'col-md-6',
            46 => 'col-md-7',
            48 => 'col-md-8',
            50 => 'col-md-9',
            52 => 'col-md-10',
            54 => 'col-md-11',
            56 => 'col-md-12',
          ),
          'rule_valid_ids' => array(),
          'rule_style_urls' => array(),
        ),
      ),
      'filter_autop' => array(
        'weight' => -47,
        'status' => 1,
        'settings' => array(),
      ),
      'media_filter' => array(
        'weight' => -46,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_htmlcorrector' => array(
        'weight' => -45,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_url' => array(
        'weight' => -44,
        'status' => 1,
        'settings' => array(
          'filter_url_length' => 72,
        ),
      ),
    ),
  );

  // Exported format: WYSIWYG Simple.
  $formats['wysiwyg_simple'] = array(
    'format' => 'wysiwyg_simple',
    'name' => 'WYSIWYG Simple',
    'cache' => 1,
    'status' => 1,
    'weight' => -10,
    'filters' => array(
      'filter_html' => array(
        'weight' => -50,
        'status' => 1,
        'settings' => array(
          'allowed_html' => '<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd> <p> <br>',
          'filter_html_help' => 1,
          'filter_html_nofollow' => 0,
        ),
      ),
      'media_filter' => array(
        'weight' => -43,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_htmlcorrector' => array(
        'weight' => -42,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_autop' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_url' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(
          'filter_url_length' => 72,
        ),
      ),
    ),
  );

  return $formats;
}
